#pragma once

namespace Juliet
{
    namespace Memory::Internal
    {
        Byte* OS_Reserve(size_t size);
        bool  OS_Commit(Byte* ptr, size_t size);
        void  OS_Release(Byte* ptr, size_t size);
    } // namespace Memory::Internal

    namespace Debug::Internal
    {
        bool IsDebuggerPresent();
    } // namespace Debug::Internal
    namespace Internal
    {
        int OS_Main(EntryPointFunc entryPointFunc, int argc, wchar_t** argv);
    }
} // namespace Juliet
